<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_s.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_s"></a>- s -</h3><ul>
<li>sequence_no
: <a class="el" href="struct_flatten_ctrl.html#add126272cb1574e9891ec786c8b2db0c">FlattenCtrl</a>
</li>
<li>sibling_no
: <a class="el" href="struct_flatten_ctrl.html#ac60e02df2754d739c34eabbf6ed3165f">FlattenCtrl</a>
</li>
<li>siblingNoAsString
: <a class="el" href="struct_flatten_ctrl.html#a85c8866abc7073c0035c10e912a5f960">FlattenCtrl</a>
</li>
<li>SizeModifier
: <a class="el" href="struct_type_properties.html#a93865f3503a044402baa02acda825958">TypeProperties</a>
</li>
<li>SourceCodeFiles
: <a class="el" href="struct_arte_fact_check__type.html#a6f844ab22bb7cf4cd1ba07fb69124a67">ArteFactCheck_type</a>
</li>
<li>spell_vec
: <a class="el" href="struct_loc_eval.html#abbfe089872a317e56ec1f4da2bc82acf">LocEval</a>
</li>
<li>SpellFuncArgExpASTNodeBeg
: <a class="el" href="struct_text_pos_analysis.html#a83414bf0eb6e78da5d0a0822b008c697">TextPosAnalysis</a>
</li>
<li>SpellFuncArgExpASTNodeEnd
: <a class="el" href="struct_text_pos_analysis.html#a888cc8658d73a76a8f4eb82fac7cb759">TextPosAnalysis</a>
</li>
<li>Spelling
: <a class="el" href="struct_location_info.html#ae0b41e12df7b95ba77f69dca522f3f2a">LocationInfo</a>
, <a class="el" href="struct_loc_eval.html#a44494e1a0d6db41e5a44a52e776ebfec">LocEval</a>
</li>
<li>SpellingExpansionPair_vec
: <a class="el" href="struct_res_loc_pairs_per_node.html#a1ac06e5fe2d13fd4257411961a2f9cdf">ResLocPairsPerNode</a>
</li>
<li>spellInterationLevel
: <a class="el" href="struct_loc_eval.html#aed98e0e01aff7fa85c440cc593409a8f">LocEval</a>
</li>
<li>SpellLoc
: <a class="el" href="struct_expansion_information.html#a8b60144133a04ab0228e47629652977d">ExpansionInformation</a>
</li>
<li>spellNoParent
: <a class="el" href="struct_loc_eval.html#acc38785ad87ee00c5a476c55d7b44abc">LocEval</a>
</li>
<li>SpellResults
: <a class="el" href="struct_exp_eval_result.html#a613488fdccad144a4a508c8b82c2826c">ExpEvalResult</a>
</li>
<li>SpellSingleTokASTNodeBeg
: <a class="el" href="struct_text_pos_analysis.html#a13f8a849b34454697b911a20f4dc137a">TextPosAnalysis</a>
</li>
<li>SpellSingleTokASTNodeEnd
: <a class="el" href="struct_text_pos_analysis.html#af2f91a3e7da2256c88bdedf54469b737">TextPosAnalysis</a>
</li>
<li>Start
: <a class="el" href="struct_location_info.html#a65bdec0bc5069d9a8b7fc8ebc732d4e6">LocationInfo</a>
, <a class="el" href="struct_location_info_details.html#a917230fcb9153b86ab5ad59e930545d1">LocationInfoDetails</a>
</li>
<li>start_endFileOfs
: <a class="el" href="struct_code_pos_for_j_s_o_n.html#abef91e11c27988b6d08bfaa604f7a0b5">CodePosForJSON</a>
</li>
<li>StartDecomposed
: <a class="el" href="struct_location_info_details.html#ad386cbea334a1cedbc3d430d4a5e9ec8">LocationInfoDetails</a>
</li>
<li>StartDecomposedAST
: <a class="el" href="struct_expansion_information.html#a6df9179bf982c49717c8b3f783315829">ExpansionInformation</a>
</li>
<li>StartDecomposedMACRO
: <a class="el" href="struct_expansion_information.html#a709e69a21bc621142e166b71d4fce29b">ExpansionInformation</a>
</li>
<li>StartEndDecomposed
: <a class="el" href="struct_location_info_details.html#a31589de8c339de1eeda8c56f0a74763d">LocationInfoDetails</a>
</li>
<li>startPos
: <a class="el" href="struct_code_pos_for_j_s_o_n.html#ad80c938daa038f8ecb37deb758ec2e5c">CodePosForJSON</a>
</li>
<li>StartSpellingLoc
: <a class="el" href="struct_all_loc_info.html#a36313e212e58147b24fc7bf329bc4a84">AllLocInfo</a>
</li>
<li>StaticArchive
: <a class="el" href="struct_arte_fact_check__type.html#a0d6e64a027b73667a7c188034f904d4a">ArteFactCheck_type</a>
</li>
<li>Status
: <a class="el" href="struct_expansion_information.html#af60eeb5a7447c7b534e7322f2362f5ef">ExpansionInformation</a>
</li>
<li>STMT
: <a class="el" href="struct_block_type.html#a9ba8c8fba3d09c88cff8f5bdb38c4ca7">BlockType</a>
</li>
<li>stmt_no
: <a class="el" href="struct_node_hierarchy.html#a015dad3d88641e4efc2d6a256a31df5c">NodeHierarchy</a>
</li>
<li>STMTcur
: <a class="el" href="struct_binary_op_properties.html#aae62a2d97101c66f1e0b6940f4312c83">BinaryOpProperties</a>
</li>
<li>StmtId
: <a class="el" href="struct_equation_identifier.html#abf059755cee840df83f54202acf23b07">EquationIdentifier</a>
</li>
<li>StmtID
: <a class="el" href="struct_var_decl_memory.html#a4d86372e9edad7968b0646a0157957b3">VarDeclMemory</a>
</li>
<li>STMTlast
: <a class="el" href="struct_binary_op_properties.html#a229a8312dd8129a9e03437ea552bc2de">BinaryOpProperties</a>
</li>
<li>stmtNo
: <a class="el" href="struct_binary_op_properties.html#aa24e6a87f4ff79c732e3a134e079f206">BinaryOpProperties</a>
</li>
<li>StmtNo
: <a class="el" href="struct_statement_identifier.html#a5ceb5e84119de1910ba1fae504736026">StatementIdentifier</a>
</li>
<li>SubDirs_vec
: <a class="el" href="struct_arte_fact_check__type.html#ab896c2b8ff16667f00350842ce628d1b">ArteFactCheck_type</a>
</li>
<li>SubExpr_enum
: <a class="el" href="struct_block_type.html#ab08e9df13605239ab5700ba6c0324647">BlockType</a>
, <a class="el" href="struct_found_block.html#aab03267c842444c38b73887faae3f37a">FoundBlock</a>
</li>
<li>SubLevelPrp_vec
: <a class="el" href="struct_binary_op_properties.html#ae56173882a6a0a20b066586d803ac21d">BinaryOpProperties</a>
</li>
<li>SWUnit
: <a class="el" href="struct_variable__type.html#a96f43c027abbb73f0072b02b863d7671">Variable_type</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
